Skip to content
vocapable.Docs

The company's merchant account for customer payments

GET
/v1/workspace/merchant
curl --request GET \
--url https://api.vocapable.com/v1/workspace/merchant \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
WorkspaceMerchantState

The company’s own merchant account for customer payments (not Vocapable billing).

object
platform_ready
required
Platform Ready
boolean
platform_blocker
required
Any of:
string
Allowed values: platform_not_configured platform_decision_required live_payments_not_enabled
platform_environment
required
Any of:
string
Allowed values: test live
account
required
Any of:
WorkspaceMerchantAccount
object
id
required
Id
string
provider
required
Provider
string
Allowed values: stripe square
external_account_id
required
External Account Id
string
environment
required
Environment
string
Allowed values: test live
status
required
Status
string
Allowed values: pending active restricted disconnected
charges_enabled
required
Charges Enabled
boolean
details_submitted
required
Details Submitted
boolean
disabled_reason
required
Any of:
string
default_currency
required
Any of:
string
last_synced_at
required
Any of:
string format: date-time
revision
required
Revision
integer
can_manage
required
Can Manage
boolean
Example
{
"platform_blocker": "platform_not_configured",
"platform_environment": "test",
"account": {
"provider": "stripe",
"environment": "test",
"status": "pending"
}
}